Bug 473901 - (CVE-2008-5183) CVE-2008-5183 cups: DoS (daemon crash) caused by the large number of subscriptions
CVE-2008-5183 cups: DoS (daemon crash) caused by the large number of subscrip...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
reported=20081119,public=20081115,sou...
: Security
Depends On: 473909 474355
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 07:07 EST by Jan Lieskovsky
Modified: 2010-12-23 21:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-29 04:40:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cups-1.3-max-subscriptions.patch (CVE-2008-5183) (5.22 KB, patch)
2008-12-01 07:07 EST, Jan Lieskovsky
no flags Details | Diff

  None (edit)
Comment 3 Jan Lieskovsky 2008-12-01 08:03:13 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-5183 to
the following vulnerability:

cupsd in CUPS before 1.3.8 allows local users, and possibly remote
attackers, to cause a denial of service (daemon crash) by adding a
large number of RSS Subscriptions, which triggers a NULL pointer
dereference.  NOTE: this issue can be triggered remotely by leveraging
CVE-2008-5184.

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-5183
http://www.gnucitizen.org/blog/pwning-ubuntu-via-cups/
https://bugs.launchpad.net/ubuntu/+source/cups/+bug/298241
http://www.openwall.com/lists/oss-security/2008/11/19/3
http://www.openwall.com/lists/oss-security/2008/11/19/4

Patch: See attachment -- cups-1.3-max-subscriptions.patch
Comment 4 Fedora Update System 2008-12-03 08:03:29 EST
cups-1.3.9-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/cups-1.3.9-4.fc10
Comment 5 Fedora Update System 2008-12-03 08:05:29 EST
cups-1.3.9-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/cups-1.3.9-2.fc9
Comment 6 Fedora Update System 2008-12-03 08:19:04 EST
cups-1.3.9-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/cups-1.3.9-2.fc8
Comment 9 Fedora Update System 2008-12-09 06:33:00 EST
cups-1.3.9-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-12-09 06:35:46 EST
cups-1.3.9-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-12-09 06:38:24 EST
cups-1.3.9-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Vincent Danen 2010-12-23 21:14:14 EST
This was addressed via:

Red Hat Enterprise Linux version 5 (RHSA-2008:1029)

Note You need to log in before you can comment on or make changes to this bug.